<div>
    <div class="filter-wrapper {{filterSelect.defaultValue ? 'default-wrapper' : '' }}" data-ng-click="edit(true,$event)" style="height: 33px !important;">
        <span class="filter-label">{{filterSelect.display}} :</span>
        <div data-ng-hide="filterSelect.editing" class="filter-value">{{filterSelect.value.txName}}</div>
        <span data-ng-show="filterSelect.editing" style="position: relative">
            <div data-ng-show="filterSelect.editing && !query" style="padding-left: 5px;left: 0px;position: absolute;top: 0px;display: inline-block;white-space: nowrap;overflow: hidden; width: 100%" ng-bind="filterSelect.value.name"></div>
            <input

                    filter-auto-resize
                    data-ng-show="filterSelect.editing"
                    ng-keydown="keydown($event)"
                    ng-model="query"
                    class="filter-value"
                    type="text"
                    />
            <div>
                <ul vs-repeat="33" vs-options="{latch: false}" vs-excess="20"  class="dropdown-menu" style="display: block;min-width: 250px;overflow-x: hidden;padding: 0px" data-ng-show="filterSelect.editing">
                    <li ng-repeat="filter in items" data-ng-class="isActive(startIndex+$index)" style="width: 100%">
                        <a href data-ng-click="select(filter,$event)" style="width: 100%;padding: 7px">
                            <div ng-bind-html="filter.txName | highlight:query"></div>
                        </a>
                    </li>
                </ul>
            </div>
        </span>
        <span style="    position: absolute;top: 8px;display: inline-block;right: 7px;" ng-show="!filterSelect.defaultValue" data-ng-click="$parent.remove(filterSelect)" class="filter-close fa fa-times-circle"></span>
    </div>
</div>